--- dictl.orig	2007-07-30 11:45:39.000000000 +0200
+++ dictl	2007-07-30 12:00:00.000000000 +0200
@@ -39,7 +39,21 @@
     if test "$DICTL_USE_ICONV"; then
 	iconv -f $1 -t $2
     else if test "$DICTL_USE_KONWERT"; then
-	konwert $1-$2
+	sedexpr='
+/(CP)?(437|8(5[0257]|6[0-69]|74))/	{ s//cp\2/; q }
+/8859_([1-9])/				{ s//iso\1/; q }
+/ANSI_X3.4(-19(68|86))?/		{ s//ascii/; q }
+/(US-)?ASCII/				{ s//ascii/; q }
+/(CP|WINDOWS-)(125[0-8])/		{ s//cp\1/; q }
+/ISO([-_]?8859-|8859)([1-9]|1[01345])/	{ s//iso\2/; q }
+/KOI8-?R/				{ s//koi8r/; q }
+/KOI8-?U/				{ s//koi8u/; q }
+/UTF-?8/				{ s//utf8/; q }
+/VISCII/				{ s//viscii/; q }
+/.*/					{ s///; q }'
+	from=`echo "$1" | tr a-z A-Z | sed -r -e "$sedexpr"`
+	to=`echo "$2" | tr a-z A-Z | sed -r -e "$sedexpr"`
+	konwert "$from-$to"
     else
 	recode -f $1..$2
     fi fi
